cresample: XCresample_Config Struct Reference

| cresample Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XCresample_Config Struct Reference
Cresample_v4_1

This typedef contains configuration information for a Video device. More...

## Data Fields
u16 | DeviceId
| DeviceId is the unique ID of the device. More...
u32 | BaseAddress
| BaseAddress is the physical base address of the device's registers. More...
u32 | SlaveAxisVideoFormat
| Slave axis video format. More...
u32 | MasterAxisVideoFormat
| Master axis video format. More...
u32 | SlaveAxiClkFreqHz
| Slave clock frequency. More...
u16 | HasIntcIf
| Has interrupt control. More...
u16 | HasDebug
| Has debug GUI specified. More...
u32 | MaxColumns
| Maximum columns. More...
u32 | ActiveRows
| Active rows. More...
u32 | ActiveColumns
| Active columns. More...
u8 | ChromaParity
| Chroma parity. More...
u8 | FieldParity
| Chroma parity. More...
u32 | Interlaced
| Interlaced value. More...
u32 | NumHTaps
| Horizontal taps. More...
u32 | NumVTaps
| Vertical taps. More...
u32 | ConvertType
| Convert type. More...
u32 | CoefWidth
| Coefficient width. More...

## Detailed Description

This typedef contains configuration information for a Video device.

Each Video device should have a configuration structure associated

## Field Documentation

u32 XCresample_Config::ActiveColumns

Active columns.

u32 XCresample_Config::ActiveRows

Active rows.

u32 XCresample_Config::BaseAddress

BaseAddress is the physical base address of the device's registers.

Referenced by CresampleTypeConversion(), XCresample_CfgInitialize(), XCresample_Clear_HCoef_Values(), XCresample_Clear_VCoef_Values(), XCresample_DisableDbgBypass(), XCresample_DisableDbgTestPattern(), XCresample_EnableDbgByPass(), XCresample_EnableDbgTestPattern(), XCresample_GetActiveSize(), XCresample_GetChromaParity(), XCresample_GetDbgFrameCount(), XCresample_GetDbgLineCount(), XCresample_GetDbgPixelCount(), XCresample_GetFieldParity(), XCresample_GetHCoefs(), XCresample_GetVCoefs(), XCresample_GetVersion(), XCresample_IsDbgByPassEnabled(), XCresample_IsDbgTestPatternEnabled(), XCresample_SelfTest(), XCresample_SetActiveSize(), XCresample_SetChromaParity(), XCresample_SetFieldParity(), XCresample_SetHCoefs(), XCresample_SetVCoefs(), and XCresampleSelfTestExample().

u8 XCresample_Config::ChromaParity

Chroma parity.

u32 XCresample_Config::CoefWidth

Coefficient width.

u32 XCresample_Config::ConvertType

Convert type.

Referenced by XCresample_GetHCoefs(), XCresample_GetVCoefs(), XCresample_SetHCoefs(), and XCresample_SetVCoefs().

u16 XCresample_Config::DeviceId

DeviceId is the unique ID of the device.

u8 XCresample_Config::FieldParity

Chroma parity.

u16 XCresample_Config::HasDebug

Has debug GUI specified.

Referenced by XCresample_DisableDbgBypass(), XCresample_DisableDbgTestPattern(), XCresample_EnableDbgByPass(), XCresample_EnableDbgTestPattern(), XCresample_GetDbgFrameCount(), XCresample_GetDbgLineCount(), XCresample_GetDbgPixelCount(), XCresample_IsDbgByPassEnabled(), and XCresample_IsDbgTestPatternEnabled().

u16 XCresample_Config::HasIntcIf

Has interrupt control.

Referenced by XCresample_IntrHandler().

u32 XCresample_Config::Interlaced

Interlaced value.

Referenced by XCresample_SetFieldParity().

u32 XCresample_Config::MasterAxisVideoFormat

Master axis video format.

u32 XCresample_Config::MaxColumns

Maximum columns.

u32 XCresample_Config::NumHTaps

Horizontal taps.

Referenced by CresampleTypeConversion(), and XCresample_SetHCoefs().

u32 XCresample_Config::NumVTaps

Vertical taps.

Referenced by CresampleTypeConversion(), and XCresample_SetVCoefs().

u32 XCresample_Config::SlaveAxiClkFreqHz

Slave clock frequency.

u32 XCresample_Config::SlaveAxisVideoFormat

Slave axis video format.